View Issue Details

IDProjectCategoryView StatusLast Update
0002477SymmetricDSImprovementpublic2016-08-09 13:08
ReporterhhoweAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.28 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002477: Add command line options to sym that allow me to run a single push or pull
DescriptionThe sym tool wants to spin up the job manager and keep running once you boot it. I have some test scripts where I need to run a single route, push, pull sequence, and then exit. I can create my own application to do this, but it would be handy if the sym tool supported this out of the box.

The syntax would be

sym --engine foo --push --pull

--push, --pull, --route would exclude the -C (client) and -S (server) options.

I modified the code to support this have submitted a pull request.
TagsNo tags attached.

Relationships

related to 0000213 closedelong Allow the SymmetricDS API to be called from the command line 

Activities

hhowe

2016-01-08 10:40

reporter   ~0000750

symadmin might be a better home for these commands. It already has run-purge. Adding a run-push, run-pull, etc might be a natural fit. I had already modified the code before I saw that symadmin supported a run-purge command.

admin

2016-04-07 14:30

administrator   ~0000781

Added to symadmin as suggested, combined under a single subcommand, like this:

Usage: symadmin run-job [pull | push | route | sync-triggers | purge |
heartbeat]
Run one of the scheduled jobs immediately.

Example:
symadmin -e corp-000 run-job pull

Related Changesets

SymmetricDS: 3.8 3c5bbc5e

2016-04-07 14:25:32

admin

Details Diff
0002477: Add command line options to sym that allow me to run a single
push or pull

0002477
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbCompareCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbExportCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFillCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImportCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbSqlCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/JmxCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricLauncher.java Diff File

Issue History

Date Modified Username Field Change
2016-01-08 10:20 hhowe New Issue
2016-01-08 10:40 hhowe Note Added: 0000750
2016-04-07 14:23 elong Assigned To => elong
2016-04-07 14:23 elong Status new => assigned
2016-04-07 14:23 elong Target Version => 3.8.0
2016-04-07 14:23 elong Relationship added related to 0000213
2016-04-07 14:25 elong Status assigned => resolved
2016-04-07 14:25 elong Fixed in Version => 3.8.0
2016-04-07 14:25 elong Resolution open => fixed
2016-04-07 14:30 admin Note Added: 0000781
2016-04-28 10:01 admin Changeset attached => SymmetricDS 3.8 3c5bbc5e
2016-08-09 13:08 elong Status resolved => closed